﻿/**
 * 获取点击数，评论数，收藏数
 */
seajs.use(['jquery'], function ($) {
    var caseId = $("#caseId").val();
    var NumHit = $("#NumHit");
    var NumFavorite = $("#NumFavorite");
    var NumGood = $("#NumGood");
    var bottomNumFavorite = $("#bottomNumFavorite");

    $.ajax({
        url: ajaxHttpRquestUrl.GetNumAttr,
        type: "get",
        datatype: "json",
        data: { id: caseId, rad: Math.random() },
        success: function (result) {
            NumHit.text(result.NumHit);
            NumFavorite.text(result.NumFavorite);
            NumGood.html(result.NumGood);
            bottomNumFavorite.text(result.NumFavorite);
        }
    });
});

/**
 *  判断案例是否已收藏和绑定收藏事件
 */
seajs.use(['jquery', 'layer'],
    function ($) {
        var caseId = $("#caseId").val();
        var caseGuid = $("#caseGuid").val();
        var favoriteHtml = $(".collect-tab .collect-ta");

        $(function () {
            $.ajax({
                url: ajaxHttpRquestUrl.IsFavorite,
                type: "get",
                dataType: "Json",
                data: { infoGuid: caseGuid, classType: "CASE", markName: "FAVORITE", rad: Math.random() },
                success: function (data) {
                    if (data.OperatResult) {
                        favoriteHtml.addClass("on").off("mouseenter mouseleave");
                        favoriteHtml.children(".collect").css({ "display": "none" });
                        favoriteHtml.children("span").replaceWith("<span class='active'>已收藏</span>");
                    } else {
                        favoriteHtml.click(function () {
                            favorites();
                        });
                    }
                }
            });
        });

        /**
         * 添加案例收藏
         */
        function favorites() {
            var befor = parseInt($(".collect-tab p").text());
            var favoriteNum = parseInt(befor + 1);
            $.ajax({
                type: "post",
                dataType:"json",
                url: ajaxHttpRquestUrl.AddFavorite,
                data: { guid: caseGuid, id: caseId, classType: "CASE", markName: "FAVORITE" },
                success: function (data) {
                    if (data.ResultParam === "-1") {
                        $("#pop-ups").show();
                        return;
                    }
                    if (data.OperatResult) {
                        layer.msg("收藏成功");
                        favoriteHtml.addClass("on").off("mouseenter mouseleave click");
                        favoriteHtml.children(".collect").css({ "display": "none" });
                        favoriteHtml.children("span").replaceWith("<span class='active'>已收藏</span>");
                        $(".collect-tab p").text(favoriteNum + "人已收藏");
                    }
                    else {
                        layer.msg("收藏失败");
                    }
                }
            });
        }
    });

/**
 * 判断案例是否已点赞和绑定点赞事件
 */
seajs.use(['jquery', 'jquery-cookie', 'regular', 'layer'],
    function ($, cookie, regular) {
        cookie($);
        var caseId = $("#caseId").val();
        var caseGuid = $("#caseGuid").val();
        var goodOperateHtml = $(".opertion .like-tab .like-ta");
        var goodNumHtml = $("#NumGood");

        $(function () {
            if ($.cookie("sjq-case-good-" + caseId)) {
                goodOperateHtml.addClass("on").children("i").replaceWith("<span class='active'>已点赞</span>");
                goodOperateHtml.off("click");
            } else {
                goodOperateHtml.click(function() {
                    addGood();
                });
            }
        });

        /**
         * 添加点赞操作
         */
        function addGood() {           
            $.ajax({
                url: ajaxHttpRquestUrl.UpdateAttrNum,
                type: "post",
                datatye: "json",
                data: { Guid: caseGuid, attrNum: "GOOD" },
                success: function (data) {
                    if (data.OperatResult) {
                        $.cookie("sjq-case-good-" + caseId, "value", { expires: 1 });
                        goodNumHtml.text(parseInt(goodNumHtml.text()) + 1);
                        goodOperateHtml.addClass("on").children("i").replaceWith("<span class='active'>已点赞</span>");
                        layer.msg("点赞成功。");
                    } else {
                        layer.msg("点赞失败。");
                    }                    
                }
            });
        }
    });

/**
 *  判断设计师是否已关注和绑定关注事件
 */
seajs.use(['jquery', 'jquery-cookie', 'regular', 'layer'],
    function ($) {
        var designerId = $("#designerId").val();
        var designerGuid = $("#designerGuid").val();
        var attentionHtml = $(".des-info .attention");

        $(function () {
            $.ajax({
                url: ajaxHttpRquestUrl.IsFavorite,
                type: "get",
                datatye: "json",
                data: { infoGuid: designerGuid, classType: "DESIGNER", markName: "WATCH", rad: Math.random() },
                success: function (data) {
                    if (data.OperatResult) {
                        attentionHtml.replaceWith("<a class='active'>已关注</a>").off("click");
                    }
                    attentionHtml.click(function () {
                        Watch();
                    });
                }
            });
        });

        /**
         * 设计师关注事件
         */
        function Watch() {
            $.ajax({
                url: ajaxHttpRquestUrl.AddFavorite,
                type: "post",
                datatye: "json",
                data: { guid: designerGuid, id: designerId, classType: "DESIGNER", markName: "WATCH" },
                success: function (data) {
                    if (data.ResultParam === "-1") {
                        $("#pop-ups").show();
                        return;
                    }
                    if (data.OperatResult) {
                        attentionHtml.replaceWith("<a class='active'>已关注</a>").off("click");
                        layer.msg("关注成功");
                    } else {
                        layer.msg("关注失败");
                    }
                }
            });
        }
    });

/**
 *  案例点击数
 */
seajs.use(['jquery', 'jquery-cookie', 'regular', 'layer'],
    function ($) {
        var caseGuid = $("#caseGuid").val();
        $(function() {
            $.ajax({
                url: ajaxHttpRquestUrl.UpdateAttrNum,
                type: "post",
                datatye: "json",
                data: { Guid: caseGuid, attrNum: "HITS" },
                success: function () {}
            });
        });
});